LSIPC(1)

NUME
lsipc - afișează informații despre facilitățile IPC utilizate în prezent în sistem

REZUMAT

lsipc [opțiuni]

DESCRIERE

lsipc afișează informații privind facilitățile de comunicare între procese POSIX și System V pentru care procesul apelant are acces de citire.

Ieșirea implicită, precum și ieșirea implicită din opțiunile cu coloane de ieșire predefinite (cum ar fi --shmems, etc.), este supusă modificării. Prin urmare, ori de câte ori este posibil, ar trebui să evitați utilizarea rezultatelor implicite în scripturile dvs. Definiți întotdeauna în mod explicit coloanele așteptate utilizând --output listă-coloane în mediile în care este necesară o ieșire stabilă.

OPȚIUNI

-i, --id id
    Afișează detalii complete privind un singur element de resursă (System V) identificat prin id. Această opțiune trebuie să fie combinată cu una dintre cele trei opțiuni de resurse: -m, -q sau -s. Este posibil să se înlocuiască formatul de ieșire implicit pentru această opțiune cu opțiunea --list, --raw, --json sau --export.

-N, --name nume
    Afișează detalii complete privind un singur element de resursă (POSIX) identificat prin nume. Această opțiune trebuie să fie combinată cu una dintre cele trei opțiuni de resurse: -M, -Q sau -S. Este posibil să se înlocuiască formatul de ieșire implicit pentru această opțiune cu opțiunea --list, --raw, --json sau --export.

-g, --global
    Afișează utilizarea la nivelul întregului sistem și limitele resurselor IPC. Această opțiune poate fi combinată cu una dintre cele trei opțiuni de resurse: -m, -q sau -s. Opțiunea implicită este de a afișa informații despre toate resursele.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

  Opțiuni pentru resurse

-m, --shmems
    Scrieți informații despre segmentele active de memorie partajată System V.

-M, --posix-shmems
    Scrieți informații despre segmentele active de memorie partajată POSIX.

-q, --queues
    Scrieți informații despre cozile de mesaje System V active.

-Q, --posix-mqueues
    Scrie informații despre cozile de mesaje POSIX active.

-s, --semaphores
    Scrieți informații despre seturile de semafoare System V active.

-S, --posix-semaphores
    Scrieți informații despre semafoarele cu nume POSIX active.

  Formatarea ieșirii

-c, --creator
    Afișează creatorul și proprietarul resursei.

-e, --export
    Produce ieșirea sub formă de perechi cheie=„valoare”. Toate caracterele de valoare potențial nesigure sunt eludate în format hexazecimal (\x<cod>). A se vedea, de asemenea, opțiunea --shell.

-J, --json
    Utilizează formatul de ieșire JSON.

-l, --list
    Utilizează formatul de ieșire al listei. Aceasta este valoarea implicită, cu excepția cazului în care se utilizează opțiunea --id.

-n, --newline
    Afișează fiecare detaliu informativ pe o linie separată.

--noheadings
    Nu imprimă o linie de antet.

--notruncate
    Nu trunchiază ieșirea.

-o, --output listă
    Specifică ce coloane de ieșire se vor imprima. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

-b, --bytes
    Afișează dimensiunea în octeți, mai degrabă decât în format ușor de citit de către om.

-r, --raw
    Ieșire brută (fără antet).

-t, --time
    Scrie informații privind ora. Ora ultimei operații de control care a modificat permisiunile de acces pentru toate facilitățile, ora ultimelor operații msgsnd(2) și msgrcv(2) privind cozile de mesaje, ora ultimelor operații shmat(2) și shmdt(2) privind memoria partajată și ora ultimei operații semop(2) privind semafoarele.

--time-format tip
    Afișează datele în format scurt, complet sau iso. În mod implicit este scurt, acest format de timp este conceput pentru a fi eficient din punct de vedere al spațiului și care să poată fi ușor de citit.

-P, --numeric-perms
    Afișează permisiunile numerice în coloana PERMS.

-y, --shell
    Numele coloanei va fi modificat astfel încât să conțină numai caracterele permise pentru identificatorii de variabile de tip shell. Acest lucru este utilizabil, de exemplu, cu --export. Rețineți că această caracteristică a fost activată automat pentru --export în versiunea 2.37, dar din cauza unor probleme de compatibilitate, acum este necesar să se solicite acest comportament prin --shell.

MEDIU

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

STARE DE IEȘIRE

0
    dacă totul este OK,

1
    dacă sunt specificate argumente incorecte,

2
    în cazul în care apare o eroare gravă.

ISTORIC

Instrumentul lsipc este inspirat de instrumentul ipcs(1).

AUTORI

CONSULTAȚI ȘI

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lsipc face parte din pachetul util-linux care poate fi descărcat de la